Skip to main content
`Ctrl`+`K`

# FNSetType

Selects the type for the `FN` object.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNSetType(FN fn,FNType type)

Logically Collective

## Input Parameters

- fn - the math function context

- type - a known type

## Options Database Key

- -fn_type type - sets the `FN` type

## Note

The default is `FNRATIONAL`, which includes polynomials as a particular case as well as simple functions such as \(f(x)=x\) and \(f(x)=constant\).

## See Also

FN: Mathematical Functions, `FNGetType()`

## Level

intermediate

## Location

src/sys/classes/fn/interface/fnbasic.c

## Examples

src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex26.c
src/nep/tutorials/ex42.c
src/mfn/tutorials/ex39.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex37.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex22.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages